Subject: RE: [Isis-wg] Re: I-D ACTION:draft-ietf-isis-transient-01.txt

From: Anand Ammundi <[email-masked]>
Date: Wed, 18 Jul 2001 12:58:02 -0700

Hi
 I had a question on the IS-IS black-holing subject.
 IS-IS (and OSPF rfc's) both talk about rebuilding the LSP/LSA
(self-lsp/lsa)
 on an adjacency down/Ckt_down event. yet, many vendors
 choose not do this...the rationale being that frequent link flapping would
 result in LSP/LSA storms...but then, not rebuilding one's link-state
 can cause blackholes just on an adjacency down event. Is there anything
among 
 the existing documents that deals with bridging the gap between not wanting

 to LSP Storm and not wanting blackholes...(say something like BGP
dampening).
   TIA
   anand

-----Original Message-----
From: Danny McPherson [mailto:[email-masked]]
Sent: Wednesday, July 18, 2001 10:58 AM
To: [email-masked]
Subject: [Isis-wg] Re: I-D ACTION:draft-ietf-isis-transient-01.txt

Folks, the only update in this version is the addition of some
text surrounding handling of "stale" LSPs.  Thanks to Stefano 
for pointing this out.

-danny

> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
> This draft is a work item of the IS-IS for IP Internets Working Group of
the IETF.
> 
> 	Title		: IS-IS Transient Blackhole Avoidance
> 	Author(s)	: D. McPherson
> 	Filename	: draft-ietf-isis-transient-01.txt
> 	Pages		: 6
> 	Date		: 17-Jul-01
> 	
> This document describes a simple, interoperable mechanism that can be
> employed in IS-IS networks in order to decrease data loss associated
> with deterministic blackholing of packets during transient network
> conditions.  The mechanism proposed here requires no IS-IS protocol
> changes and is completely interoperable with the existing IS-IS
> specification.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-isis-transient-01.txt
> 
> Internet-Drafts are also available by anonymous FTP. Login with the
username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
> 	"get draft-ietf-isis-transient-01.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html 
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-ietf-isis-transient-01.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 		
> 		
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> 
> 
> 
> 
> 

_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg
_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg

---

From: Tony Przygienda <[email-masked]>
Date: Wed, 18 Jul 2001 17:08:34 -0700

>  to LSP Storm and not wanting blackholes...(say something like BGP

this is somehow an implementation question so I answer with my personal
preference here: I always found that dampening @ protocol level is an inferior
solution (BGP is a different case, they dampen prefixes not link flaps!) and
it's
much better solved closer to the hardware since that can affect many other
components beside a single protocol. E.g. dampening @ hardware level (for
things
like broken fiber 'blinking' and on top of that putting a hysterisis on top of
the device driver) has
proven much better for me ...

    -- tony